#!/usr/bin/env perl

#  Copyright (C) 2010-2019 Amba Kulkarni (ambapradeep@gmail.com)
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later
#  version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


$pUraNa{"agrima"} = 1;
$pUraNa{"agrimA"} = 1;
$pUraNa{"arbuxawama"} = 1;
$pUraNa{"arbuxawamA"} = 1;
$pUraNa{"aRtacawvAriMSa"} = 1;
$pUraNa{"aRtacawvAriMSA"} = 1;
$pUraNa{"aRtAcawvAriMSa"} = 1;
$pUraNa{"aRtAcawvAriMSA"} = 1;
$pUraNa{"aRtacawvAriMSawwama"} = 1;
$pUraNa{"aRtacawvAriMSawwamA"} = 1;
$pUraNa{"aRtAcawvAriMSawwama"} = 1;
$pUraNa{"aRtAcawvAriMSawwamA"} = 1;
$pUraNa{"aRtama"} = 1;
$pUraNa{"aRtamI"} = 1;
$pUraNa{"aRtanavawa"} = 1;
$pUraNa{"aRtanavawA"} = 1;
$pUraNa{"aRtAnavawa"} = 1;
$pUraNa{"aRtAnavawA"} = 1;
$pUraNa{"aRtanavawiwama"} = 1;
$pUraNa{"aRtanavawiwamA"} = 1;
$pUraNa{"aRtAnavawiwama"} = 1;
$pUraNa{"aRtAnavawiwamA"} = 1;
$pUraNa{"aRtapaFcASa"} = 1;
$pUraNa{"aRtapaFcASA"} = 1;
$pUraNa{"aRtApaFcASa"} = 1;
$pUraNa{"aRtApaFcASA"} = 1;
$pUraNa{"aRtapaFcASawwama"} = 1;
$pUraNa{"aRtapaFcASawwamA"} = 1;
$pUraNa{"aRtApaFcASawwama"} = 1;
$pUraNa{"aRtApaFcASawwamA"} = 1;
$pUraNa{"aRtaRaRta"} = 1;
$pUraNa{"aRtaRaRtA"} = 1;
$pUraNa{"aRtARaRta"} = 1;
$pUraNa{"aRtARaRtA"} = 1;
$pUraNa{"aRtaRaRtiwama"} = 1;
$pUraNa{"aRtaRaRtiwamA"} = 1;
$pUraNa{"aRtARaRtiwama"} = 1;
$pUraNa{"aRtARaRtiwamA"} = 1;
$pUraNa{"aRtasapwawa"} = 1;
$pUraNa{"aRtasapwawA"} = 1;
$pUraNa{"aRtAsapwawa"} = 1;
$pUraNa{"aRtAsapwawA"} = 1;
$pUraNa{"aRtasapwawiwama"} = 1;
$pUraNa{"aRtasapwawiwamA"} = 1;
$pUraNa{"aRtAsapwawiwama"} = 1;
$pUraNa{"aRtAsapwawiwamA"} = 1;
$pUraNa{"aRtASIwa"} = 1;
$pUraNa{"aRtASIwA"} = 1;
$pUraNa{"aRtASIwiwama"} = 1;
$pUraNa{"aRtASIwiwamA"} = 1;
$pUraNa{"aRtAviMSa"} = 1;
$pUraNa{"aRtAviMSA"} = 1;
$pUraNa{"aRtAviMSawiwama"} = 1;
$pUraNa{"aRtAviMSawiwamA"} = 1;
$pUraNa{"aRtAwriMSa"} = 1;
$pUraNa{"aRtAwriMSA"} = 1;
$pUraNa{"aRtAwriMSawwama"} = 1;
$pUraNa{"aRtAwriMSawwamA"} = 1;
$pUraNa{"aRtAxaSa"} = 1;
$pUraNa{"aRtAxaSI"} = 1;
$pUraNa{"aSIwa"} = 1;
$pUraNa{"aSIwA"} = 1;
$pUraNa{"aSIwiwama"} = 1;
$pUraNa{"aSIwiwamA"} = 1;
$pUraNa{"ayuwawama"} = 1;
$pUraNa{"ayuwawamA"} = 1;
$pUraNa{"cawuHpaFcASA"} = 1;
$pUraNa{"cawuHpaFcASawwama"} = 1;
$pUraNa{"cawuHpaFcASawwamA"} = 1;
$pUraNa{"cawuHRaRta"} = 1;
$pUraNa{"cawuHRaRtA"} = 1;
$pUraNa{"cawuHRaRtiwama"} = 1;
$pUraNa{"cawuHRaRtiwamA"} = 1;
$pUraNa{"cawuHsapwawa"} = 1;
$pUraNa{"cawuHsapwawA"} = 1;
$pUraNa{"cawuHsapwawiwama"} = 1;
$pUraNa{"cawuHsapwawiwamA"} = 1;
$pUraNa{"cawuraSIwa"} = 1;
$pUraNa{"cawuraSIwA"} = 1;
$pUraNa{"cawuraSIwiwama"} = 1;
$pUraNa{"cawuraSIwiwamA"} = 1;
$pUraNa{"cawurnavawa"} = 1;
$pUraNa{"cawurnavawA"} = 1;
$pUraNa{"cawurnavawiwama"} = 1;
$pUraNa{"cawurnavawiwamA"} = 1;
$pUraNa{"cawuRpaFcASa"} = 1;
$pUraNa{"cawurviMSa"} = 1;
$pUraNa{"cawurviMSA"} = 1;
$pUraNa{"cawurviMSawiwama"} = 1;
$pUraNa{"cawurviMSawiwamA"} = 1;
$pUraNa{"cawurWa"} = 1;
$pUraNa{"cawurxaSa"} = 1;
$pUraNa{"cawurxaSI"} = 1;
$pUraNa{"cawuScawvAriMSa"} = 1;
$pUraNa{"cawuScawvAriMSA"} = 1;
$pUraNa{"cawuScawvAriMSawwama"} = 1;
$pUraNa{"cawuScawvAriMSawwamA"} = 1;
$pUraNa{"cawuswriMSa"} = 1;
$pUraNa{"cawuswriMSA"} = 1;
$pUraNa{"cawuswriMSawwama"} = 1;
$pUraNa{"cawuswriMSawwamA"} = 1;
$pUraNa{"cawvAriMSa"} = 1;
$pUraNa{"cawvAriMSA"} = 1;
$pUraNa{"cawvAriMSawwama"} = 1;
$pUraNa{"cawvAriMSawwamA"} = 1;
$pUraNa{"ekacawvAriMSa"} = 1;
$pUraNa{"ekacawvAriMSA"} = 1;
$pUraNa{"ekacawvAriMSawwama"} = 1;
$pUraNa{"ekacawvAriMSawwamA"} = 1;
$pUraNa{"ekanavawa"} = 1;
$pUraNa{"ekanavawA"} = 1;
$pUraNa{"ekanavawiwama"} = 1;
$pUraNa{"ekanavawiwamA"} = 1;
$pUraNa{"ekapaFcASa"} = 1;
$pUraNa{"ekapaFcASA"} = 1;
$pUraNa{"ekapaFcASawwama"} = 1;
$pUraNa{"ekapaFcASawwamA"} = 1;
$pUraNa{"ekaRaRta"} = 1;
$pUraNa{"ekaRaRtA"} = 1;
$pUraNa{"ekaRaRtiwama"} = 1;
$pUraNa{"ekaRaRtiwamA"} = 1;
$pUraNa{"ekasapwawa"} = 1;
$pUraNa{"ekasapwawA"} = 1;
$pUraNa{"ekasapwawiwama"} = 1;
$pUraNa{"ekasapwawiwamA"} = 1;
$pUraNa{"ekASIwa"} = 1;
$pUraNa{"ekASIwA"} = 1;
$pUraNa{"ekASIwiwama"} = 1;
$pUraNa{"ekASIwiwamA"} = 1;
$pUraNa{"ekaviMSa"} = 1;
$pUraNa{"ekaviMSA"} = 1;
$pUraNa{"ekaviMSawiwama"} = 1;
$pUraNa{"ekaviMSawiwamA"} = 1;
$pUraNa{"ekawriMSa"} = 1;
$pUraNa{"ekawriMSA"} = 1;
$pUraNa{"ekawriMSawwama"} = 1;
$pUraNa{"ekawriMSawwamA"} = 1;
$pUraNa{"ekAxaSa"} = 1;
$pUraNa{"ekAxaSI"} = 1;
$pUraNa{"ekonacawvAriMSa"} = 1;
$pUraNa{"ekonacawvAriMSA"} = 1;
$pUraNa{"ekonacawvAriMSawwama"} = 1;
$pUraNa{"ekonacawvAriMSawwamA"} = 1;
$pUraNa{"ekonanavawa"} = 1;
$pUraNa{"ekonanavawA"} = 1;
$pUraNa{"ekonanavawiwama"} = 1;
$pUraNa{"ekonanavawiwamA"} = 1;
$pUraNa{"ekonapaFcASa"} = 1;
$pUraNa{"ekonapaFcASA"} = 1;
$pUraNa{"ekonapaFcASawwama"} = 1;
$pUraNa{"ekonapaFcASawwamA"} = 1;
$pUraNa{"ekonaRaRta"} = 1;
$pUraNa{"ekonaRaRtiwama"} = 1;
$pUraNa{"ekonaRaRtiwamA"} = 1;
$pUraNa{"ekonasapwawa"} = 1;
$pUraNa{"ekonasapwawA"} = 1;
$pUraNa{"ekonasapwawiwama"} = 1;
$pUraNa{"ekonasapwawiwamA"} = 1;
$pUraNa{"ekonaSawawama"} = 1;
$pUraNa{"ekonaSawawamA"} = 1;
$pUraNa{"ekonASIwa"} = 1;
$pUraNa{"ekonASIwA"} = 1;
$pUraNa{"ekonASIwiwama"} = 1;
$pUraNa{"ekonASIwiwamA"} = 1;
$pUraNa{"ekonaviMSawiwama"} = 1;
$pUraNa{"ekonaviMSawiwamA"} = 1;
$pUraNa{"ekonawriMSa"} = 1;
$pUraNa{"ekonawriMSawwama"} = 1;
$pUraNa{"ekonawriMSawwamA"} = 1;
$pUraNa{"IlawamA"} = 1;
$pUraNa{"iyuwawamA"} = 1;
$pUraNa{"Karvawama"} = 1;
$pUraNa{"KarvawamA"} = 1;
$pUraNa{"kotiwama"} = 1;
$pUraNa{"kotiwamA"} = 1;
$pUraNa{"lakRawama"} = 1;
$pUraNa{"lakRawamA"} = 1;
$pUraNa{"mahASaMKawama"} = 1;
$pUraNa{"mahASaMKawamA"} = 1;
$pUraNa{"navacawvAriMSa"} = 1;
$pUraNa{"navacawvAriMSA"} = 1;
$pUraNa{"navacawvAriMSawwama"} = 1;
$pUraNa{"navacawvAriMSawwamA"} = 1;
$pUraNa{"navama"} = 1;
$pUraNa{"navamI"} = 1;
$pUraNa{"navanavawa"} = 1;
$pUraNa{"navanavawA"} = 1;
$pUraNa{"navanavawiwama"} = 1;
$pUraNa{"navanavawiwamA"} = 1;
$pUraNa{"navapaFcASa"} = 1;
$pUraNa{"navapaFcASA"} = 1;
$pUraNa{"navapaFcASawwama"} = 1;
$pUraNa{"navapaFcASawwamA"} = 1;
$pUraNa{"navaRaRta"} = 1;
$pUraNa{"navaRaRtA"} = 1;
$pUraNa{"navaRaRtiwama"} = 1;
$pUraNa{"navaRaRtiwamA"} = 1;
$pUraNa{"navasapwawa"} = 1;
$pUraNa{"navasapwawA"} = 1;
$pUraNa{"navasapwawiwama"} = 1;
$pUraNa{"navasapwawiwamA"} = 1;
$pUraNa{"navASIwa"} = 1;
$pUraNa{"navASIwA"} = 1;
$pUraNa{"navASIwiwama"} = 1;
$pUraNa{"navASIwiwamA"} = 1;
$pUraNa{"navaviMSa"} = 1;
$pUraNa{"navaviMSA"} = 1;
$pUraNa{"navaviMSawiwama"} = 1;
$pUraNa{"navaviMSawiwamA"} = 1;
$pUraNa{"navawa"} = 1;
$pUraNa{"navawA"} = 1;
$pUraNa{"navawiwama"} = 1;
$pUraNa{"navawiwamA"} = 1;
$pUraNa{"navawriMSa"} = 1;
$pUraNa{"navawriMSA"} = 1;
$pUraNa{"navawriMSawwama"} = 1;
$pUraNa{"navawriMSawwamA"} = 1;
$pUraNa{"navaxaSa"} = 1;
$pUraNa{"navaxaSI"} = 1;
$pUraNa{"nIlawama"} = 1;
$pUraNa{"niyuwawama"} = 1;
$pUraNa{"paFcacawvAriMSa"} = 1;
$pUraNa{"paFcacawvAriMSA"} = 1;
$pUraNa{"paFcacawvAriMSawwama"} = 1;
$pUraNa{"paFcacawvAriMSawwamA"} = 1;
$pUraNa{"paFcama"} = 1;
$pUraNa{"paFcamI"} = 1;
$pUraNa{"paFcanavawa"} = 1;
$pUraNa{"paFcanavawA"} = 1;
$pUraNa{"paFcanavawiwama"} = 1;
$pUraNa{"paFcanavawiwamA"} = 1;
$pUraNa{"paFcapaFcASa"} = 1;
$pUraNa{"paFcapaFcASA"} = 1;
$pUraNa{"paFcapaFcASawwama"} = 1;
$pUraNa{"paFcapaFcASawwamA"} = 1;
$pUraNa{"paFcaRaRta"} = 1;
$pUraNa{"paFcaRaRtA"} = 1;
$pUraNa{"paFcaRaRtiwama"} = 1;
$pUraNa{"paFcaRaRtiwamA"} = 1;
$pUraNa{"paFcASa"} = 1;
$pUraNa{"paFcASA"} = 1;
$pUraNa{"paFcasapwawa"} = 1;
$pUraNa{"paFcasapwawA"} = 1;
$pUraNa{"paFcasapwawiwama"} = 1;
$pUraNa{"paFcasapwawiwamA"} = 1;
$pUraNa{"paFcASawwama"} = 1;
$pUraNa{"paFcASawwamA"} = 1;
$pUraNa{"paFcASIwa"} = 1;
$pUraNa{"paFcASIwA"} = 1;
$pUraNa{"paFcASIwiwama"} = 1;
$pUraNa{"paFcASIwiwamA"} = 1;
$pUraNa{"paFcaviMSa"} = 1;
$pUraNa{"paFcaviMSA"} = 1;
$pUraNa{"paFcaviMSawiwama"} = 1;
$pUraNa{"paFcaviMSawiwamA"} = 1;
$pUraNa{"paFcawriMSa"} = 1;
$pUraNa{"paFcawriMSA"} = 1;
$pUraNa{"paFcawriMSawwama"} = 1;
$pUraNa{"paFcawriMSawwamA"} = 1;
$pUraNa{"paFcaxaSa"} = 1;
$pUraNa{"paFcaxaSI"} = 1;
$pUraNa{"paxmawama"} = 1;
$pUraNa{"paxmawamA"} = 1;
$pUraNa{"praWama"} = 1;
$pUraNa{"praWamA"} = 1;
$pUraNa{"prayuwawama"} = 1;
$pUraNa{"prayuwawamA"} = 1;
$pUraNa{"RadaSIwa"} = 1;
$pUraNa{"RadaSIwA"} = 1;
$pUraNa{"RadaSIwiwama"} = 1;
$pUraNa{"RadaSIwiwamA"} = 1;
$pUraNa{"RadviMSa"} = 1;
$pUraNa{"RadviMSA"} = 1;
$pUraNa{"RadviMSawiwama"} = 1;
$pUraNa{"RadviMSawiwamA"} = 1;
$pUraNa{"RaNNavawa"} = 1;
$pUraNa{"RaNNavawA"} = 1;
$pUraNa{"RaNNavawiwama"} = 1;
$pUraNa{"RaNNavawiwamA"} = 1;
$pUraNa{"RaRta"} = 1;
$pUraNa{"RaRTa"} = 1;
$pUraNa{"RaRTI"} = 1;
$pUraNa{"RaRtiwama"} = 1;
$pUraNa{"RaRtiwamA"} = 1;
$pUraNa{"RatcawvAriMSa"} = 1;
$pUraNa{"RatcawvAriMSA"} = 1;
$pUraNa{"RatcawvAriMSawwama"} = 1;
$pUraNa{"RatcawvAriMSawwamA"} = 1;
$pUraNa{"RatpaFcASa"} = 1;
$pUraNa{"RatpaFcASA"} = 1;
$pUraNa{"RatpaFcASawwama"} = 1;
$pUraNa{"RatpaFcASawwamA"} = 1;
$pUraNa{"RatRaRta"} = 1;
$pUraNa{"RatRaRtA"} = 1;
$pUraNa{"RatRaRtiwama"} = 1;
$pUraNa{"RatRaRtiwamA"} = 1;
$pUraNa{"Ratsapwawa"} = 1;
$pUraNa{"RatsapwawA"} = 1;
$pUraNa{"Ratsapwawiwama"} = 1;
$pUraNa{"RatsapwawiwamA"} = 1;
$pUraNa{"RatwriMSa"} = 1;
$pUraNa{"RatwriMSA"} = 1;
$pUraNa{"RatwriMSawwama"} = 1;
$pUraNa{"RatwriMSawwamA"} = 1;
$pUraNa{"RodaSa"} = 1;
$pUraNa{"RodaSI"} = 1;
$pUraNa{"sahasrawama"} = 1;
$pUraNa{"sahasrawamA"} = 1;
$pUraNa{"SaMKawama"} = 1;
$pUraNa{"SaMKawamA"} = 1;
$pUraNa{"sapwacawvAriMSa"} = 1;
$pUraNa{"sapwacawvAriMSA"} = 1;
$pUraNa{"sapwacawvAriMSawwama"} = 1;
$pUraNa{"sapwacawvAriMSawwamA"} = 1;
$pUraNa{"sapwama"} = 1;
$pUraNa{"sapwamI"} = 1;
$pUraNa{"sapwanavawa"} = 1;
$pUraNa{"sapwanavawA"} = 1;
$pUraNa{"sapwanavawiwama"} = 1;
$pUraNa{"sapwanavawiwamA"} = 1;
$pUraNa{"sapwapaFcASa"} = 1;
$pUraNa{"sapwapaFcASA"} = 1;
$pUraNa{"sapwapaFcASawwama"} = 1;
$pUraNa{"sapwapaFcASawwamA"} = 1;
$pUraNa{"sapwaRaRta"} = 1;
$pUraNa{"sapwaRaRtA"} = 1;
$pUraNa{"sapwaRaRtiwama"} = 1;
$pUraNa{"sapwaRaRtiwamA"} = 1;
$pUraNa{"sapwasapwawa"} = 1;
$pUraNa{"sapwasapwawA"} = 1;
$pUraNa{"sapwasapwawiwama"} = 1;
$pUraNa{"sapwasapwawiwamA"} = 1;
$pUraNa{"sapwASIwa"} = 1;
$pUraNa{"sapwASIwA"} = 1;
$pUraNa{"sapwASIwiwama"} = 1;
$pUraNa{"sapwASIwiwamA"} = 1;
$pUraNa{"sapwaviMSa"} = 1;
$pUraNa{"sapwaviMSA"} = 1;
$pUraNa{"sapwaviMSawiwama"} = 1;
$pUraNa{"sapwaviMSawiwamA"} = 1;
$pUraNa{"sapwawa"} = 1;
$pUraNa{"sapwawA"} = 1;
$pUraNa{"sapwawiwama"} = 1;
$pUraNa{"sapwawiwamA"} = 1;
$pUraNa{"sapwawriMSa"} = 1;
$pUraNa{"sapwawriMSA"} = 1;
$pUraNa{"sapwawriMSawwama"} = 1;
$pUraNa{"sapwawriMSawwamA"} = 1;
$pUraNa{"sapwaxaSa"} = 1;
$pUraNa{"sapwaxaSI"} = 1;
$pUraNa{"Sawawama"} = 1;
$pUraNa{"SawawamA"} = 1;
$pUraNa{"viMSa"} = 1;
$pUraNa{"viMSA"} = 1;
$pUraNa{"viMSawiwama"} = 1;
$pUraNa{"viMSawiwamA"} = 1;
$pUraNa{"wqwIya"} = 1;
$pUraNa{"wrayaHpaFcASa"} = 1;
$pUraNa{"wrayaHpaFcASA"} = 1;
$pUraNa{"wrayaHpaFcASawwama"} = 1;
$pUraNa{"wrayaHpaFcASawwamA"} = 1;
$pUraNa{"wrayaHRaRta"} = 1;
$pUraNa{"wrayaHRaRtA"} = 1;
$pUraNa{"wrayaHRaRtiwama"} = 1;
$pUraNa{"wrayaHRaRtiwamA"} = 1;
$pUraNa{"wrayaHsapwawa"} = 1;
$pUraNa{"wrayaHsapwawA"} = 1;
$pUraNa{"wrayaHsapwawiwama"} = 1;
$pUraNa{"wrayaHsapwawiwamA"} = 1;
$pUraNa{"wrayaScawvAriMSa"} = 1;
$pUraNa{"wrayaScawvAriMSA"} = 1;
$pUraNa{"wrayaScawvAriMSawwama"} = 1;
$pUraNa{"wrayaScawvAriMSawwamA"} = 1;
$pUraNa{"wrayaswriMSa"} = 1;
$pUraNa{"wrayaswriMSA"} = 1;
$pUraNa{"wrayaswriMSawwama"} = 1;
$pUraNa{"wrayaswriMSawwamA"} = 1;
$pUraNa{"wrayonavawa"} = 1;
$pUraNa{"wrayonavawA"} = 1;
$pUraNa{"wrayonavawiwama"} = 1;
$pUraNa{"wrayonavawiwamA"} = 1;
$pUraNa{"wrayoviMSa"} = 1;
$pUraNa{"wrayoviMSA"} = 1;
$pUraNa{"wrayoviMSawiwama"} = 1;
$pUraNa{"wrayoviMSawiwamA"} = 1;
$pUraNa{"wrayoxaSa"} = 1;
$pUraNa{"wrayoxaSI"} = 1;
$pUraNa{"wricawvAriMSa"} = 1;
$pUraNa{"wricawvAriMSA"} = 1;
$pUraNa{"wricawvAriMSawwama"} = 1;
$pUraNa{"wricawvAriMSawwamA"} = 1;
$pUraNa{"wriMSa"} = 1;
$pUraNa{"wriMSA"} = 1;
$pUraNa{"wriMSawwama"} = 1;
$pUraNa{"wriMSawwamA"} = 1;
$pUraNa{"wrinavawa"} = 1;
$pUraNa{"wrinavawA"} = 1;
$pUraNa{"wrinavawiwama"} = 1;
$pUraNa{"wrinavawiwamA"} = 1;
$pUraNa{"wripaFcASa"} = 1;
$pUraNa{"wripaFcASA"} = 1;
$pUraNa{"wripaFcASawwama"} = 1;
$pUraNa{"wripaFcASawwamA"} = 1;
$pUraNa{"wriRaRta"} = 1;
$pUraNa{"wriRaRtA"} = 1;
$pUraNa{"wriRaRtiwama"} = 1;
$pUraNa{"wriRaRtiwamA"} = 1;
$pUraNa{"wrisapwawa"} = 1;
$pUraNa{"wrisapwawA"} = 1;
$pUraNa{"wrisapwawiwama"} = 1;
$pUraNa{"wrisapwawiwamA"} = 1;
$pUraNa{"wryaSIwa"} = 1;
$pUraNa{"wryaSIwA"} = 1;
$pUraNa{"wryaSIwiwama"} = 1;
$pUraNa{"wryaSIwiwamA"} = 1;
$pUraNa{"wurya"} = 1;
$pUraNa{"xaSaKarvawama"} = 1;
$pUraNa{"xaSaKarvawamA"} = 1;
$pUraNa{"xaSakotiwama"} = 1;
$pUraNa{"xaSakotiwamA"} = 1;
$pUraNa{"xaSama"} = 1;
$pUraNa{"xaSamI"} = 1;
$pUraNa{"xaSanIlawama"} = 1;
$pUraNa{"xaSanIlawamA"} = 1;
$pUraNa{"xaSapaxmawama"} = 1;
$pUraNa{"xaSapaxmawamA"} = 1;
$pUraNa{"xaSArbuxawama"} = 1;
$pUraNa{"xaSArbuxawamA"} = 1;
$pUraNa{"xaSaSaMKawama"} = 1;
$pUraNa{"xaSaSaMKawamA"} = 1;
$pUraNa{"xvAcawvAriMSa"} = 1;
$pUraNa{"xvAcawvAriMSA"} = 1;
$pUraNa{"xvAcawvAriMSawwama"} = 1;
$pUraNa{"xvAcawvAriMSawwamA"} = 1;
$pUraNa{"xvAnavawa"} = 1;
$pUraNa{"xvAnavawA"} = 1;
$pUraNa{"xvAnavawiwama"} = 1;
$pUraNa{"xvAnavawiwamA"} = 1;
$pUraNa{"xvApaFcASa"} = 1;
$pUraNa{"xvApaFcASA"} = 1;
$pUraNa{"xvApaFcASawwama"} = 1;
$pUraNa{"xvApaFcASawwamA"} = 1;
$pUraNa{"xvARaRta"} = 1;
$pUraNa{"xvARaRtA"} = 1;
$pUraNa{"xvARaRtiwama"} = 1;
$pUraNa{"xvARaRtiwamA"} = 1;
$pUraNa{"xvAsapwawa"} = 1;
$pUraNa{"xvAsapwawA"} = 1;
$pUraNa{"xvAsapwawiwama"} = 1;
$pUraNa{"xvAsapwawiwamA"} = 1;
$pUraNa{"xvAviMSa"} = 1;
$pUraNa{"xvAviMSA"} = 1;
$pUraNa{"xvAviMSawiwama"} = 1;
$pUraNa{"xvAviMSawiwamA"} = 1;
$pUraNa{"xvAwriMSa"} = 1;
$pUraNa{"xvAwriMSA"} = 1;
$pUraNa{"xvAwriMSawwama"} = 1;
$pUraNa{"xvAwriMSawwamA"} = 1;
$pUraNa{"xvAxaSa"} = 1;
$pUraNa{"xvAxaSI"} = 1;
$pUraNa{"xvicawvAriMSa"} = 1;
$pUraNa{"xvicawvAriMSA"} = 1;
$pUraNa{"xvicawvAriMSawwama"} = 1;
$pUraNa{"xvicawvAriMSawwamA"} = 1;
$pUraNa{"xvinavawa"} = 1;
$pUraNa{"xvinavawA"} = 1;
$pUraNa{"xvinavawiwama"} = 1;
$pUraNa{"xvinavawiwamA"} = 1;
$pUraNa{"xvipaFcASa"} = 1;
$pUraNa{"xvipaFcASA"} = 1;
$pUraNa{"xvipaFcASawwama"} = 1;
$pUraNa{"xvipaFcASawwamA"} = 1;
$pUraNa{"xviRaRta"} = 1;
$pUraNa{"xviRaRtA"} = 1;
$pUraNa{"xviRaRtiwama"} = 1;
$pUraNa{"xviRaRtiwamA"} = 1;
$pUraNa{"xvisapwawa"} = 1;
$pUraNa{"xvisapwawA"} = 1;
$pUraNa{"xvisapwawiwama"} = 1;
$pUraNa{"xvisapwawiwamA"} = 1;
$pUraNa{"xviwIya"} = 1;
$pUraNa{"xvyaSIwa"} = 1;
$pUraNa{"xvyaSIwA"} = 1;
$pUraNa{"xvyaSIwiwama"} = 1;
$pUraNa{"xvyaSIwiwamA"} = 1;
